#
# DO NOT EDIT- ../system.mk file should set everything up
# See specifically X11LIB and X11INCLUDE
#
CONFIG = system.mk

include ../$(CONFIG)

LOCAL_DEFINES = -DSHRINKFRAME -DREALLYFAST -DXSG

TARGET = xsg

HEADERS = 		Wlib.h bitmaps.h copyright.h copyright2.h data.h \
			defs.h oldbitmaps.h patchlevel.h struct.h version.h \
			localdata.h

SRCS =			colors.c data.c defaults.c dmessage.c getship.c	\
			inform.c input.c main.c modify.c newwin.c option.c \
			planetlist.c planets.c playerlist.c redraw.c \
			robotwin.c shmem.c sintab.c smessage.c stats.c \
			util.c war.c warning.c x11window.c \
			localdata.c getpath.c distress.c slotmaint.c

OBJS =			colors.o data.o defaults.o dmessage.o getship.o	\
			inform.o input.o main.o modify.o newwin.o option.o \
			planetlist.o planets.o playerlist.o redraw.o \
			robotwin.o shmem.o sintab.o smessage.o stats.o \
			util.o war.o warning.o x11window.o \
			localdata.o getpath.o distress.o slotmaint.o

LIBS = $(X11LIB) $(EXTRALIBS)
INCS = $(EXTRAINCS) $(X11INCLUDE)

# for people with braindead 'cc's that don't like -c foo.c -o foo.o
# and a hosed make
.c.o: ; $(CC) $(CFLAGS) $(INCS) -c $*.c

CFLAGS = $(EXTRACFLAGS) $(OPTS) $(LOCAL_DEFINES) $(FLAGS) $(DIRS)

all: xsg

xsg: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	/bin/rm -f *.o make.out core
        
reallyclean:  clean 
	/bin/rm -f xsg #* *~

install: xsg
	$(INSTALL) $(INSTALLOPTS) xsg $(LIBDIR)/xsg

uninstall:
	-cd $(LIBDIR); rm -f xsg 

dist: ../name
	tar cvf - `cat Manifest` | gzip - > xsg2.1-`../name`.tar.gz

rmdependencies:
	makedepend

depend:
	makedepend $(CFLAGS) -f Makefile $(INCS) $(SRCS)
# DO NOT DELETE THIS LINE -- make depend depends on it.

colors.o: copyright2.h /usr/include/stdio.h /usr/include/string.h
colors.o: /usr/include/sys/stdtypes.h Wlib.h defs.h ../ntserv/copyright.h
colors.o: ../config.h /usr/include/sys/types.h /usr/include/sys/sysmacros.h
colors.o: xsg_defs.h copyright.h struct.h localdata.h data.h
data.o: ../ntserv/copyright.h ../ntserv/defs.h ../config.h
data.o: /usr/include/string.h /usr/include/sys/stdtypes.h
data.o: /usr/include/sys/types.h /usr/include/sys/sysmacros.h
data.o: ../ntserv/struct.h copyright.h ../ntserv/data.h ../null
defaults.o: copyright2.h /usr/include/stdio.h
dmessage.o: copyright.h /usr/include/stdio.h /usr/include/math.h
dmessage.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h Wlib.h
dmessage.o: copyright2.h defs.h ../ntserv/copyright.h ../config.h
dmessage.o: /usr/include/string.h /usr/include/sys/stdtypes.h
dmessage.o: /usr/include/sys/types.h /usr/include/sys/sysmacros.h xsg_defs.h
dmessage.o: struct.h localdata.h data.h
getship.o: copyright.h /usr/include/stdio.h /usr/include/sys/types.h
getship.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
getship.o: /usr/include/sys/ipc.h defs.h ../ntserv/copyright.h ../config.h
getship.o: /usr/include/string.h struct.h data.h
inform.o: copyright.h /usr/include/stdio.h /usr/include/math.h
inform.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
inform.o: /usr/include/signal.h /usr/include/sys/signal.h
inform.o: /usr/include/vm/faultcode.h /usr/include/sys/stdtypes.h Wlib.h
inform.o: copyright2.h defs.h ../ntserv/copyright.h ../config.h
inform.o: /usr/include/string.h /usr/include/sys/types.h
inform.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h data.h
input.o: copyright.h /usr/include/stdio.h /usr/include/math.h
input.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
input.o: /usr/include/sys/types.h /usr/include/sys/stdtypes.h
input.o: /usr/include/sys/sysmacros.h /usr/include/sys/time.h
input.o: /usr/include/sys/time.h /usr/include/signal.h
input.o: /usr/include/sys/signal.h /usr/include/vm/faultcode.h
input.o: /usr/include/errno.h /usr/include/sys/errno.h Wlib.h copyright2.h
input.o: defs.h ../ntserv/copyright.h ../config.h /usr/include/string.h
input.o: xsg_defs.h struct.h localdata.h data.h
main.o: copyright.h /usr/include/stdio.h /usr/include/string.h
main.o: /usr/include/sys/stdtypes.h /usr/include/errno.h
main.o: /usr/include/sys/errno.h /usr/include/sys/types.h
main.o: /usr/include/sys/sysmacros.h /usr/include/pwd.h
main.o: /usr/include/sys/time.h /usr/include/sys/time.h
main.o: /usr/include/sys/wait.h /usr/include/signal.h
main.o: /usr/include/sys/signal.h /usr/include/vm/faultcode.h Wlib.h
main.o: copyright2.h defs.h ../ntserv/copyright.h ../config.h xsg_defs.h
main.o: struct.h localdata.h data.h version.h patchlevel.h
modify.o: copyright.h /usr/include/stdio.h /usr/include/signal.h
modify.o: /usr/include/sys/signal.h /usr/include/vm/faultcode.h
modify.o: /usr/include/sys/stdtypes.h /usr/include/ctype.h
modify.o: /usr/include/sys/types.h /usr/include/sys/sysmacros.h
modify.o: /usr/include/sys/time.h /usr/include/sys/time.h Wlib.h copyright2.h
modify.o: defs.h ../ntserv/copyright.h ../config.h /usr/include/string.h
modify.o: xsg_defs.h struct.h localdata.h data.h
newwin.o: copyright.h /usr/include/stdio.h /usr/include/math.h
newwin.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
newwin.o: /usr/include/signal.h /usr/include/sys/signal.h
newwin.o: /usr/include/vm/faultcode.h /usr/include/sys/stdtypes.h
newwin.o: /usr/include/sys/types.h /usr/include/sys/sysmacros.h
newwin.o: /usr/include/sys/time.h /usr/include/sys/time.h Wlib.h copyright2.h
newwin.o: defs.h ../ntserv/copyright.h ../config.h /usr/include/string.h
newwin.o: xsg_defs.h struct.h localdata.h data.h bitmaps.h oldbitmaps.h
option.o: copyright.h /usr/include/stdio.h /usr/include/ctype.h
option.o: /usr/include/sys/types.h /usr/include/sys/stdtypes.h
option.o: /usr/include/sys/sysmacros.h /usr/include/sys/time.h
option.o: /usr/include/sys/time.h Wlib.h copyright2.h defs.h
option.o: ../ntserv/copyright.h ../config.h /usr/include/string.h xsg_defs.h
option.o: struct.h localdata.h data.h
planetlist.o: copyright.h /usr/include/stdio.h Wlib.h copyright2.h defs.h
planetlist.o: ../ntserv/copyright.h ../config.h /usr/include/string.h
planetlist.o: /usr/include/sys/stdtypes.h /usr/include/sys/types.h
planetlist.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h
planetlist.o: data.h
planets.o: copyright2.h /usr/include/stdio.h /usr/include/math.h
planets.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h Wlib.h
planets.o: defs.h ../ntserv/copyright.h ../config.h /usr/include/string.h
planets.o: /usr/include/sys/stdtypes.h /usr/include/sys/types.h
planets.o: /usr/include/sys/sysmacros.h xsg_defs.h copyright.h struct.h
planets.o: localdata.h data.h
playerlist.o: copyright.h /usr/include/stdio.h Wlib.h copyright2.h defs.h
playerlist.o: ../ntserv/copyright.h ../config.h /usr/include/string.h
playerlist.o: /usr/include/sys/stdtypes.h /usr/include/sys/types.h
playerlist.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h
playerlist.o: data.h
redraw.o: copyright.h /usr/include/stdio.h /usr/include/signal.h
redraw.o: /usr/include/sys/signal.h /usr/include/vm/faultcode.h
redraw.o: /usr/include/sys/stdtypes.h /usr/include/math.h
redraw.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
redraw.o: /usr/include/sys/types.h /usr/include/sys/sysmacros.h
redraw.o: /usr/include/sys/time.h /usr/include/sys/time.h
redraw.o: /usr/include/sys/timeb.h Wlib.h copyright2.h defs.h
redraw.o: ../ntserv/copyright.h ../config.h /usr/include/string.h xsg_defs.h
redraw.o: struct.h localdata.h data.h
robotwin.o: copyright.h /usr/include/stdio.h /usr/include/ctype.h
robotwin.o: /usr/include/sys/types.h /usr/include/sys/stdtypes.h
robotwin.o: /usr/include/sys/sysmacros.h /usr/include/sys/time.h
robotwin.o: /usr/include/sys/time.h /usr/include/sys/wait.h Wlib.h
robotwin.o: copyright2.h defs.h ../ntserv/copyright.h ../config.h
robotwin.o: /usr/include/string.h xsg_defs.h struct.h localdata.h data.h
robotwin.o: /usr/include/signal.h /usr/include/sys/signal.h
robotwin.o: /usr/include/vm/faultcode.h
shmem.o: copyright.h /usr/include/stdio.h /usr/include/sys/types.h
shmem.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
shmem.o: /usr/include/sys/ipc.h /usr/include/sys/shm.h
shmem.o: /usr/include/sys/param.h /usr/include/machine/param.h
shmem.o: /usr/include/machine/devaddr.h /usr/include/sys/signal.h
shmem.o: /usr/include/vm/faultcode.h /usr/include/machine/mmu.h
shmem.o: /usr/include/errno.h /usr/include/sys/errno.h /usr/include/pwd.h
shmem.o: /usr/include/string.h /usr/include/ctype.h defs.h
shmem.o: ../ntserv/copyright.h ../config.h xsg_defs.h Wlib.h copyright2.h
shmem.o: struct.h localdata.h data.h
sintab.o: copyright.h
smessage.o: copyright.h /usr/include/stdio.h /usr/include/math.h
smessage.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
smessage.o: /usr/include/signal.h /usr/include/sys/signal.h
smessage.o: /usr/include/vm/faultcode.h /usr/include/sys/stdtypes.h
smessage.o: /usr/include/ctype.h Wlib.h copyright2.h defs.h
smessage.o: ../ntserv/copyright.h ../config.h /usr/include/string.h
smessage.o: /usr/include/sys/types.h /usr/include/sys/sysmacros.h xsg_defs.h
smessage.o: struct.h localdata.h data.h
stats.o: copyright.h /usr/include/stdio.h Wlib.h copyright2.h defs.h
stats.o: ../ntserv/copyright.h ../config.h /usr/include/string.h
stats.o: /usr/include/sys/stdtypes.h /usr/include/sys/types.h
stats.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h data.h
util.o: copyright.h /usr/include/stdio.h /usr/include/math.h
util.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
util.o: /usr/include/signal.h /usr/include/sys/signal.h
util.o: /usr/include/vm/faultcode.h /usr/include/sys/stdtypes.h Wlib.h
util.o: copyright2.h defs.h ../ntserv/copyright.h ../config.h
util.o: /usr/include/string.h /usr/include/sys/types.h
util.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h data.h
war.o: copyright.h /usr/include/stdio.h /usr/include/math.h
war.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
war.o: /usr/include/signal.h /usr/include/sys/signal.h
war.o: /usr/include/vm/faultcode.h /usr/include/sys/stdtypes.h Wlib.h
war.o: copyright2.h defs.h ../ntserv/copyright.h ../config.h
war.o: /usr/include/string.h /usr/include/sys/types.h
war.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h data.h
warning.o: copyright.h /usr/include/stdio.h /usr/include/math.h
warning.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
warning.o: /usr/include/signal.h /usr/include/sys/signal.h
warning.o: /usr/include/vm/faultcode.h /usr/include/sys/stdtypes.h Wlib.h
warning.o: copyright2.h defs.h ../ntserv/copyright.h ../config.h
warning.o: /usr/include/string.h /usr/include/sys/types.h
warning.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h
warning.o: data.h
x11window.o: copyright2.h /usr/include/stdio.h /usr/X11R5/include/X11/Xlib.h
x11window.o: /usr/include/sys/types.h /usr/include/sys/stdtypes.h
x11window.o: /usr/include/sys/sysmacros.h /usr/X11R5/include/X11/X.h
x11window.o: /usr/X11R5/include/X11/Xfuncproto.h
x11window.o: /usr/X11R5/include/X11/Xosdefs.h /usr/include/stddef.h
x11window.o: /usr/X11R5/include/X11/Xutil.h /usr/include/assert.h Wlib.h
x11window.o: defs.h ../ntserv/copyright.h ../config.h /usr/include/string.h
x11window.o: xsg_defs.h copyright.h struct.h localdata.h data.h
localdata.o: copyright.h /usr/include/stdio.h Wlib.h copyright2.h defs.h
localdata.o: ../ntserv/copyright.h ../config.h /usr/include/string.h
localdata.o: /usr/include/sys/stdtypes.h /usr/include/sys/types.h
localdata.o: /usr/include/sys/sysmacros.h xsg_defs.h struct.h localdata.h
localdata.o: data.h
getpath.o: /usr/include/stdio.h /usr/include/string.h
getpath.o: /usr/include/sys/stdtypes.h ../ntserv/defs.h ../ntserv/copyright.h
getpath.o: ../config.h /usr/include/sys/types.h /usr/include/sys/sysmacros.h
getpath.o: ../ntserv/data.h copyright.h
distress.o: copyright.h /usr/include/stdio.h /usr/include/stdlib.h
distress.o: /usr/include/sys/stdtypes.h /usr/include/signal.h
distress.o: /usr/include/sys/signal.h /usr/include/vm/faultcode.h
distress.o: /usr/include/ctype.h defs.h ../ntserv/copyright.h ../config.h
distress.o: /usr/include/string.h /usr/include/sys/types.h
distress.o: /usr/include/sys/sysmacros.h struct.h data.h
slotmaint.o: copyright2.h /usr/include/stdio.h /usr/include/sys/types.h
slotmaint.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h defs.h
slotmaint.o: ../ntserv/copyright.h ../config.h /usr/include/string.h struct.h
slotmaint.o: copyright.h data.h
